Application: gvSIG desktop - gvSIG bugs #1310
Persistence a map with text not works
10/24/2012 12:06 PM - Maria Maluenda

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Document layout

Target version: 2.0.0-rc1

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2056 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1.- Open gvSIG

2.- Open new map

3.- Click to Insert text tool

4.- Write text

5.- Save the project

6.- Open new project, click to discard changes

7.- Select the project saved

An error appears and disappear project elements
Attached .log

1.- Abrir gvSIG

2.- Abrir un mapa

3.- Clic en la herramienta insertar texto

4.- Escribir el texto

5.- Guardar el proyecto

6.- Abrir un nuevo proyecto, clic en descartar cambios
7.- Seleccionar el proyecto guardado

Aparece un error y desaparecen los elementos del proyecto
Adjunto .log

History

#1 - 10/24/2012 12:07 PM - Maria Maluenda
- File gvSIG.log added

#2 - 10/24/2012 05:19 PM - Juan Lucas Dominguez
- Assignee set to Juan Lucas Dominguez

#3 - 10/25/2012 01:39 PM - Juan Lucas Dominguez
- Status changed from New to Fixed

Changed persisted value (Rectangle -> Rectangle2D) and persisted text.
Test: the steps described should now work.

#4 - 11/07/2012 02:18 PM - Maria Maluenda

- Status changed from Fixed to Closed

Closed in the gvSIG build 2057

Files
gvSIG.log 230 KB 10/24/2012 Maria Maluenda
